org.vertx.java.core.logging.impl

## Interface LogDelegate

All Known Implementing Classes:
  JULLogDelegate, Log4jLogDelegate, SLF4JLogDelegate

    public interface LogDelegate

I represent operations that are delegated to underlying logging frameworks.

### Method Summary

Methods
`void` `debug(java.lang.Object message)`
`void` `debug(java.lang.Object message, java.lang.Throwable t)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable t)`
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable t)`
`void` `info(java.lang.Object message)`
`void` `info(java.lang.Object message, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`void` `trace(java.lang.Object message)`
`void` `trace(java.lang.Object message, java.lang.Throwable t)`
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable t)`

### Method Detail

#### isInfoEnabled

    boolean isInfoEnabled()

#### isDebugEnabled

    boolean isDebugEnabled()

#### isTraceEnabled

    boolean isTraceEnabled()

#### fatal

    void fatal(java.lang.Object message)

#### fatal

    void fatal(java.lang.Object message,
             java.lang.Throwable t)

#### error

    void error(java.lang.Object message)

#### error

    void error(java.lang.Object message,
             java.lang.Throwable t)

#### warn

    void warn(java.lang.Object message)

#### warn

    void warn(java.lang.Object message,
            java.lang.Throwable t)

#### info

    void info(java.lang.Object message)

#### info

    void info(java.lang.Object message,
            java.lang.Throwable t)

#### debug

    void debug(java.lang.Object message)

#### debug

    void debug(java.lang.Object message,
             java.lang.Throwable t)

#### trace

    void trace(java.lang.Object message)

#### trace

    void trace(java.lang.Object message,
             java.lang.Throwable t)